## qubes-gui-agent 2.1.28

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

RPMS_DIR=rpm/
VERSION := $(shell cat version)

DIST_DOM0 ?= fc13

LIBDIR ?= /usr/lib64
DATADIR ?= /usr/share
PA_VER ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)

help:
	@echo "Qubes GUI main Makefile:" ;\
	    echo "make rpms                 <--- make all rpms and sign them";\
	    echo "make rpms-dom0            <--- create binary rpms for dom0"; \
	    echo "make rpms-vm              <--- create binary rpms for appvm"; \
	    echo; \
	    echo "make clean                <--- clean all the binary files";\
	    echo "make update-repo-current  <-- copy newly generated rpms to qubes yum repo";\
	    echo "make update-repo-current-testing <-- same, but for -current-testing repo";\
	    echo "make update-repo-unstable <-- same, but to -testing repo";\
	    echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	    @exit 0;

appvm: gui-agent/qubes-gui xf86-input-mfndev/src/.libs/qubes_drv.so \
	xf86-video-dummy/src/.libs/dummyqbs_drv.so pulse/module-vchan-sink.so

gui-agent/qubes-gui:
	(cd gui-agent; $(MAKE))

xf86-input-mfndev/src/.libs/qubes_drv.so:
	(cd xf86-input-mfndev && ./bootstrap && ./configure && make LDFLAGS=-lu2mfn)

xf86-video-dummy/src/.libs/dummyqbs_drv.so:
	(cd xf86-video-dummy && ./autogen.sh && make)

pulse/module-vchan-sink.so:
	rm -f pulse/pulsecore
	ln -s pulsecore-$(PA_VER) pulse/pulsecore
	$(MAKE) -C pulse module-vchan-sink.so

rpms: rpms-dom0 rpms-vm
	rpm --addsign rpm/x86_64/*$(VERSION)*.rpm
	(if [ -d rpm/i686 ] ; then rpm --addsign rpm/i686/*$(VERSION)*.rpm; fi)

rpms-vm:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/gui-vm.spec

tar:
	git archive --format=tar --prefix=qubes-gui/ HEAD -o qubes-gui.tar

clean:
	(cd common && $(MAKE) clean)
	(cd gui-agent && $(MAKE) clean)
	(cd gui-common && $(MAKE) clean)
	$(MAKE) -C pulse clean
	(cd xf86-input-mfndev; if [ -e Makefile ] ; then $(MAKE) distclean; fi; ./bootstrap --clean || echo )


install: install-rh

install-rh: appvm install-common
	install -D appvm-scripts/etc/init.d/qubes-gui-agent $(DESTDIR)/etc/init.d/qubes-gui-agent
	install -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)/lib/systemd/system/qubes-gui-agent.service
	install -D appvm-scripts/etc/sysconfig/desktop $(DESTDIR)/etc/sysconfig/desktop
	install -D appvm-scripts/etc/sysconfig/modules/qubes-u2mfn.modules $(DESTDIR)/etc/sysconfig/modules/qubes-u2mfn.modules
	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh $(DESTDIR)/etc/X11/xinit/xinitrc.d/qubes-keymap.sh

install-debian: appvm install-common
	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh $(DESTDIR)/etc/X11/Xsession.d/90qubes-keymap
	install -D debian/xsession_qubes $(DESTDIR)/etc/X11/Xsession.d/98qubes-session

install-common:
	install -D gui-agent/qubes-gui $(DESTDIR)/usr/bin/qubes-gui
	install -D appvm-scripts/usrbin/qubes-session $(DESTDIR)/usr/bin/qubes-session
	install -D appvm-scripts/usrbin/qubes-run-xorg.sh $(DESTDIR)/usr/bin/qubes-run-xorg.sh
	install -D appvm-scripts/usrbin/qubes-change-keyboard-layout $(DESTDIR)/usr/bin/qubes-change-keyboard-layout
	install -D appvm-scripts/usrbin/qubes-set-monitor-layout $(DESTDIR)/usr/bin/qubes-set-monitor-layout
	install -D pulse/start-pulseaudio-with-vchan $(DESTDIR)/usr/bin/start-pulseaudio-with-vchan
	install -D pulse/qubes-default.pa $(DESTDIR)/etc/pulse/qubes-default.pa
	install -D pulse/module-vchan-sink.so $(DESTDIR)$(LIBDIR)/pulse-$(PA_VER)/modules/module-vchan-sink.so
	install -D xf86-input-mfndev/src/.libs/qubes_drv.so $(DESTDIR)$(LIBDIR)/xorg/modules/drivers/qubes_drv.so
	install -D xf86-video-dummy/src/.libs/dummyqbs_drv.so $(DESTDIR)$(LIBDIR)/xorg/modules/drivers/dummyqbs_drv.so
	install -D appvm-scripts/etc/X11/xorg-qubes.conf.template $(DESTDIR)/etc/X11/xorg-qubes.conf.template
	install -D appvm-scripts/etc/profile.d/qubes-gui.sh $(DESTDIR)/etc/profile.d/qubes-gui.sh
	install -D appvm-scripts/etc/profile.d/qubes-gui.csh $(DESTDIR)/etc/profile.d/qubes-gui.csh
	install -D appvm-scripts/etc/profile.d/qubes-session.sh $(DESTDIR)/etc/profile.d/qubes-session.sh
	install -D appvm-scripts/etc/tmpfiles.d/qubes-pulseaudio.conf $(DESTDIR)/usr/lib/tmpfiles.d/qubes-pulseaudio.conf
	install -D appvm-scripts/etc/tmpfiles.d/qubes-session.conf $(DESTDIR)/usr/lib/tmpfiles.d/qubes-session.conf
	install -D appvm-scripts/etc/xdgautostart/qubes-pulseaudio.desktop $(DESTDIR)/etc/xdg/autostart/qubes-pulseaudio.desktop
	install -D appvm-scripts/qubes-gui-vm.gschema.override $(DESTDIR)$(DATADIR)/glib-2.0/schemas/20_qubes-gui-vm.gschema.override
	install -m 0644 -D appvm-scripts/etc/qubes-rpc/qubes.SetMonitorLayout $(DESTDIR)/etc/qubes-rpc/qubes.SetMonitorLayout
	install -d $(DESTDIR)/var/log/qubes

=== debian/changelog ===
qubes-gui-agent (2.1.28) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Import pulseaudio 5.0 headers
  * Fix compiler warning - warn_unused_result
  * Send position WM hints (#655)
  * Fix race condition while handling window creation notify
  * Check for binaries before starting 3rd party programs
  * vmside: do not sent WM_TAKE_FOCUS when its support not advertised by
    application
  * rpm: fix package dependencies
  * version 2.1.23
  * Increase buttons count of emulated input device to 7
  * version 2.1.24
  * xside: disable unused code
  * vmside: raise embedder window on focus or mouse button event (#812)
  * vmside: ignore grab enter/leave virtual notify
  * version 2.1.25
  * vmside: fix enforcing clipboard size limit
  * version 2.1.26
  * rpm: update pulseaudio max version
  * version 2.1.27

  [ Davíð Steinn Geirsson ]
  * qubes-set-monitor-layout is bash-specific, declare it explicitly
  * Use xenstore.h instead of xs.h on xen >= 4.2
  * gui-agent-linux: Support xenstore-read in /usr/sbin as well as
    /usr/bin
  * Initial debian packaging

  [ Marek Marczykowski-Górecki ]
  * debian: remove pulsecore-4.0 headers - jessie uses 5.0 now
  * Remove dom0 leftovers from makefile
  * Update pulseaudio headers symlink just before build
  * debian: add missing build deps
  * gitignore
  * Update keymap script for debian (make it dash compatible)
  * debian: do not restart service during upgrade

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Jul 2014 03:42:25 +0200

qubes-gui-agent (2.1.22) jessie; urgency=low

  * Initial Release.

 -- Davíð Steinn Geirsson <david@dsg.is>  Mon, 21 Apr 2014 17:28:35 +0000

=== debian/control ===
Source: qubes-gui-agent
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends: libpulse-dev, libtool, automake, xorg-dev, xutils-dev, libxdamage-dev, libxcomposite-dev, libxt-dev, libx11-dev, quilt, debhelper (>= 8.0.0), qubes-gui-common
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org/
#Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-gui-agent.git;a=summary

Package: qubes-gui-agent
Architecture: any
Depends: gnome-keyring, pulseaudio, xserver-xorg-core, xinit, x11-xserver-utils, xenstore-utils, qubes-core-agent, libpulse0, libxdamage1, libxcomposite1, libxt6, libx11-6, ${shlibs:Depends}, ${misc:Depends}
Provides: x-display-manager
Description: Makes X11 windows available to qubes dom0
 The Qubes GUI agent allows the forwarding of running app windows to the
 qubes dom0. It also includes various extras such as copy/paste support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(shell pwd)/debian/qubes-gui-agent
export LIBDIR=/usr/lib

%:
	dh $@ 

override_dh_auto_build:
	make appvm

override_dh_auto_install:
	make install-debian

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

## qubes-gui-agent 2.1.29

=== Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 install-debian: appvm install-common
 	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh $(DESTDIR)/etc/X11/Xsession.d/90qubes-keymap
 	install -D debian/xsession_qubes $(DESTDIR)/etc/X11/Xsession.d/98qubes-session
+	install -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)/lib/systemd/system/qubes-gui-agent.service
 
 install-common:
 	install -D gui-agent/qubes-gui $(DESTDIR)/usr/bin/qubes-gui

=== gui-agent/Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

CC=gcc
CFLAGS+=-I../include/ -g -Wall -Wextra -Werror -pie -fPIC -O2
OBJS=vmside.o xserver-fd.o \
	../gui-common/txrx-vchan.o ../gui-common/error.o ../common/list.o 

_XENSTORE_H=$(wildcard /usr/include/xenstore.h)
ifneq "$(_XENSTORE_H)" ""
        CFLAGS+= -DUSE_XENSTORE_H
endif


all: qubes-gui
qubes-gui: $(OBJS)
	$(CC) $(LDFLAGS) -pie -g -o qubes-gui $(OBJS) \
		-lX11 -lXdamage -lXcomposite -lvchan -lxenstore -lxenctrl
clean:
	rm -f qubes-gui *.o *~

=== pulse/Makefile ===
CC=gcc
CFLAGS=-Wall -Wextra -Werror -O2
VCHANLIBS=-lxenctrl -lxenstore -lvchan
VCHANCFLAGS=-I../vchan/vchan
VCHANLDFLAGS=-L../vchan/vchan
GLIBCFLAGS=`pkg-config --cflags glib-2.0` `pkg-config --cflags dbus-glib-1`
GLIBLIBS=`pkg-config --libs glib-2.0` `pkg-config --libs dbus-glib-1` `pkg-config --libs gthread-2.0`
all: module-vchan-sink.so
module-vchan-sink.so: module-vchan-sink.o
	$(CC) -shared -o module-vchan-sink.so module-vchan-sink.o \
		$(VCHANLDFLAGS) $(VCHANLIBS)
module-vchan-sink.o: module-vchan-sink.c
	$(CC) $(CFLAGS) -g -c $(VCHANCFLAGS) -fPIC module-vchan-sink.c  -DHAVE_CONFIG_H -I.
clean:
	rm -f *.so *.o *~

=== debian/changelog ===
qubes-gui-agent (2.1.29) jessie; urgency=medium

  [ Jason Mehring ]
  * Added pulsecore-2.0 and modified module-vchan-sink-symdef.h to use
    it for Debian Wheezy template builds

  [ Marek Marczykowski-Górecki ]
  * Remove non-header files from pulsecore-2.0
  * debian: convert to systemd native service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 25 Oct 2014 01:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Davíð Steinn Geirsson <david@dsg.is>
-Build-Depends: libpulse-dev, libtool, automake, xorg-dev, xutils-dev, libxdamage-dev, libxcomposite-dev, libxt-dev, libx11-dev, quilt, debhelper (>= 8.0.0), qubes-gui-common
+Build-Depends: libpulse-dev, libtool, automake, xorg-dev, xutils-dev, libxdamage-dev, libxcomposite-dev, libxt-dev, libx11-dev, quilt, debhelper (>= 8.0.0), qubes-gui-common, dh-systemd (>= 1.5)
 Standards-Version: 3.9.3
 Homepage: http://www.qubes-os.org/
 #Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git

## qubes-gui-agent 2.1.30jessie1

=== Makefile ===
--- 
+++ 
@@ -87,8 +87,11 @@
 
 install-debian: appvm install-common
 	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh $(DESTDIR)/etc/X11/Xsession.d/90qubes-keymap
-	install -D debian/xsession_qubes $(DESTDIR)/etc/X11/Xsession.d/98qubes-session
-	install -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)/lib/systemd/system/qubes-gui-agent.service
+	install -d $(DESTDIR)/etc/X11/Xsession.d
+	install appvm-scripts/etc/X11/Xsession.d/* $(DESTDIR)/etc/X11/Xsession.d/
+	install -d $(DESTDIR)/etc/xdg
+	install -m 0644 appvm-scripts/etc/xdg-debian/* $(DESTDIR)/etc/xdg
+	install -m 0644 -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)/lib/systemd/system/qubes-gui-agent.service
 
 install-common:
 	install -D gui-agent/qubes-gui $(DESTDIR)/usr/bin/qubes-gui

=== debian/changelog ===
qubes-gui-agent (2.1.30jessie1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@devel18>  Mon, 01 Dec 2014 23:32:22 +0000

qubes-gui-agent (2.1.30) jessie; urgency=medium

  [ Matt McCutchen ]
  * Create an active systemd-logind session.

  [ HW42 ]
  * debian: add missing build-dep on libltdl-dev

  [ Marek Marczykowski-Górecki ]
  * debian: provide default GTK and fonts config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Dec 2014 04:22:55 +0100

## qubes-gui-agent 2.1.31jessie1

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 DIST_DOM0 ?= fc13
 
 LIBDIR ?= /usr/lib64
+SYSLIBDIR ?= /lib
 DATADIR ?= /usr/share
 PA_VER ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)
 
@@ -80,7 +81,7 @@
 
 install-rh: appvm install-common
 	install -D appvm-scripts/etc/init.d/qubes-gui-agent $(DESTDIR)/etc/init.d/qubes-gui-agent
-	install -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)/lib/systemd/system/qubes-gui-agent.service
+	install -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
 	install -D appvm-scripts/etc/sysconfig/desktop $(DESTDIR)/etc/sysconfig/desktop
 	install -D appvm-scripts/etc/sysconfig/modules/qubes-u2mfn.modules $(DESTDIR)/etc/sysconfig/modules/qubes-u2mfn.modules
 	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh $(DESTDIR)/etc/X11/xinit/xinitrc.d/qubes-keymap.sh
@@ -91,7 +92,7 @@
 	install appvm-scripts/etc/X11/Xsession.d/* $(DESTDIR)/etc/X11/Xsession.d/
 	install -d $(DESTDIR)/etc/xdg
 	install -m 0644 appvm-scripts/etc/xdg-debian/* $(DESTDIR)/etc/xdg
-	install -m 0644 -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)/lib/systemd/system/qubes-gui-agent.service
+	install -m 0644 -D appvm-scripts/qubes-gui-agent.service $(DESTDIR)$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
 
 install-common:
 	install -D gui-agent/qubes-gui $(DESTDIR)/usr/bin/qubes-gui

=== debian/changelog ===
qubes-gui-agent (2.1.31jessie1) jessie; urgency=medium

  * Build for jessie

 -- Olivier MEDOC <user@devel18>  Tue, 10 Feb 2015 15:44:28 +0000

qubes-gui-agent (2.1.31) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * spec: strip pulseaudio version suffix

  [ Wojciech Zygmunt Porczyk ]
  * Fix "spec: strip pulseaudio version suffix"

  [ Marek Marczykowski-Górecki ]
  * Fix "spec: strip pulseaudio version suffix" one more time

  [ Olivier MEDOC ]
  * archlinux: fix new packaging guidlines related to lib64 sbin, run
    ...
  * archlinux: Fix temporarily non working rootless xorg.
  * configure: ensure libtoolize binary is used

 -- Olivier MEDOC <o_medoc@yahoo.fr>  Tue, 10 Feb 2015 14:57:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Davíð Steinn Geirsson <david@dsg.is>
-Build-Depends: libpulse-dev, libtool, automake, xorg-dev, xutils-dev, libxdamage-dev, libxcomposite-dev, libxt-dev, libx11-dev, quilt, debhelper (>= 8.0.0), qubes-gui-common, dh-systemd (>= 1.5)
+Build-Depends: libpulse-dev, libtool, automake, xorg-dev, xutils-dev, libxdamage-dev, libxcomposite-dev, libxt-dev, libx11-dev, quilt, debhelper (>= 8.0.0), qubes-gui-common, dh-systemd (>= 1.5), libltdl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.qubes-os.org/
 #Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export LIBDIR=/usr/lib
 
 %:
-	dh $@ 
+	dh $@ --with systemd
 
 override_dh_auto_build:
 	make appvm
@@ -16,5 +16,6 @@
 override_dh_auto_install:
 	make install-debian
 
-override_dh_installinit:
-	dh_installinit --no-restart-on-upgrade
+override_dh_systemd_start:
+	dh_systemd_start --no-restart-on-upgrade
+

## qubes-gui-agent 4.0.18

=== debian/changelog ===
qubes-gui-agent (4.0.18-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Marek Marczykowski-Górecki <user@build-debian4>  Mon, 29 Oct 2018 01:44:28 +0000

qubes-gui-agent (4.0.18-1) unstable; urgency=medium

  [ unman ]
  * Add epoch for pulseaudio-qubes requirements in Ubuntu builds

  [ Marek Marczykowski-Górecki ]
  * gui-agent: switch to automatic composition mode, fix in-vm
    screenshots

  [ Duncan X. Simpson ]
  * Fix python-xcffib dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Oct 2018 01:31:03 +0100

qubes-gui-agent (4.0.17-1) unstable; urgency=medium

  [ fepitre ]
  * travis: add fc29
  * Update to python3-xcffib

  [ Marek Marczykowski-Górecki ]
  * window-icon-updater: make it work with python3
  * window-icon-updater: drop python-xcb support
  * archlinux: update dependencies
  * xf86-video-dummy: drop unused variables
  * xf86-video-dummy: indent with spaces not tabs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 06:05:36 +0200

qubes-gui-agent (4.0.16-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: bump xorg-server version

  [ Marek Marczykowski-Górecki ]
  * pulse: update module for pulseaudio 12.0
  * debian: bind to specific pulseaudio version
  * Drop .sh from /usr/bin/qubes-run-xorg.sh
  * Remove generated/useless files
  * Make sourced files not executable
  * debian: remove manual systemctl call
  * debian: ignore pulseaudio-related lintian warnings
  * debian: update standard version, minor fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 Sep 2018 22:06:26 +0200

qubes-gui-agent (4.0.15-1) unstable; urgency=medium

  [ Jean-Philippe Ouellet ]
  * Bump Arch pulseaudio to 12.2 too

  [ Marek Marczykowski-Górecki ]
  * Allow overriding CC variable - choose another compiler
  * rpm: use build flags provided by the distribution

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Aug 2018 02:02:30 +0200

qubes-gui-agent (4.0.14-1) unstable; urgency=medium

  * rpm: fix max pulseaudio version
  * travis: add fc28

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Jul 2018 01:33:47 +0200

qubes-gui-agent (4.0.13-1) unstable; urgency=medium

  [ Jean-Philippe Ouellet ]
  * chmod -x files which have no reason to be +x

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Jul 2018 00:19:22 +0200

qubes-gui-agent (4.0.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * pulseaudio: remove now unused variables
  * debian: remove gnome-keyring dependency

  [ Duncan X. Simpson ]
  * Add symlink from pulsecore-12.0 to pulsecore-12.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jul 2018 02:21:40 +0200

qubes-gui-agent (4.0.11-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: bump xorg server version to 1.20.0 and add missing
    dependiencies

  [ sstt011 ]
  * Remove unnessecary pulseaudio message
  * Readd line that shouldn't have been taken out

  [ Marek Marczykowski-Górecki ]
  * Add pulseaudio 12.0 headers
  * rpm, archlinux: adjust pulseaudio version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Jul 2018 23:36:15 +0200

qubes-gui-agent (4.0.10-1) unstable; urgency=medium

  [ Yassine Ilmi ]
  * Using the default_user available in qubesdb to start X
  * Handle unavailable default-user value by defaulting to "user"
  * Revert "Using the default_user available in qubesdb to start X"
  * Handling case where default-user is not available in qubesdb
  * Calling qubes-db once with a simpler statement

  [ Marek Marczykowski-Górecki ]
  * Revert "Use fixed amount of memory"
  * Add extra video RAM for dynamic display attach

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * Fix link to be properly handle in the archive
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update fedora versions
  * rpm: set BACKEND_VMM
  * travis: add centos7

  [ Frédéric Pierret ]
  * spec.in: python-xcffib -> python2-xcffib for Fedora >=28

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 02 May 2018 19:00:18 +0200

qubes-gui-agent (4.0.9-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * desktop flavor: specific XFCE make target
  * XFCE: export QT_QPA_PLATFORMTHEME=qt5ct to init qt5ct properly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:39:38 +0100

qubes-gui-agent (4.0.8-1) unstable; urgency=medium

  [ TomZ ]
  * Make compile on archlinux

  [ Marek Marczykowski-Górecki ]
  * icon-sender: prefer xcffib module over xpyb

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 12 Jan 2018 06:19:56 +0100

qubes-gui-agent (4.0.7-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Update pulseaudio version to 11.1 (Fedora 27)

  [ Olivier MEDOC ]
  * archlinux: bump pulseaudio version to 11.1
  * Makefile: split install target between pulseaudio and other gui
    agent files
  * archlinux: split pulseaudio support into qubes-vm-pulseaudio
    subpackage
  * archlinux: create pulseaudio specific install script
  * archlinux: add libxcomposite as a make dependency
  * archlinux: remove code in pulseaudio install script belonging to gui-
    agent install script

  [ unman ]
  * Allow build for Xenial in 4.0

  [ Paul Holcomb ]
  * Fix Ubuntu template builds; apply XDG changes for all Ubuntu
    templates.

  [ Marek Marczykowski-Górecki ]
  * travis: add fc26 and buster

  [ Frédéric Pierret ]
  * Add support for XFCE desktop in appvm

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 05:06:34 +0100

qubes-gui-agent (4.0.6-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: adjust Xorg path for Debian stretch

  [ Antoine Martin ]
  * Honor DacSpeed setting in xorg.conf

  [ Marek Marczykowski-Górecki ]


=== debian/control ===
Source: qubes-gui-agent
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends:
    libpulse-dev,
    libtool,
    automake,
    xserver-xorg-dev,
    xutils-dev,
    libvchan-xen-dev,
    libx11-dev,
    libxcomposite-dev,
    libxdamage-dev,
    x11proto-xf86dga-dev,
    libxt-dev,
    quilt,
    debhelper (>= 8.0.0),
    qubes-gui-common (>= 3.2.0),
    qubesdb-dev,
    dh-systemd (>= 1.5),
    libltdl-dev
Standards-Version: 3.9.8
Homepage: http://www.qubes-os.org/
#Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-gui-agent.git;a=summary

Package: qubes-gui-agent
Architecture: any
Depends:
    xserver-xorg-core,
    xinit,
    x11-xserver-utils,
    qubes-core-agent (>= 3.0.14),
    qubesdb-vm,
    libxdamage1,
    libxcomposite1,
    libxt6,
    libx11-6,
    python3,
    python3-xcffib,
    xserver-xorg-video-dummyqbs (= ${binary:Version}),
    xserver-xorg-input-qubes (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: qt4-qtconfig, pulseaudio-qubes
Provides: x-display-manager
Description: Makes X11 windows available to qubes dom0
 The Qubes GUI agent allows the forwarding of running app windows to the
 qubes dom0. It also includes various extras such as copy/paste support.

Package: xserver-xorg-video-dummyqbs
Architecture: any
Depends:
 ${xviddriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${xviddriver:Provides}
Replaces: qubes-gui-agent (<< 3.2.11-1)
Breaks: qubes-gui-agent (<< 3.2.11-1)
Description: Dummy X video driver for qubes-gui-agent
 Dummy X video driver for Qubes VM, with XRandr support.

Package: xserver-xorg-input-qubes
Architecture: any
Depends:
 ${xinpdriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${xinpdriver:Provides}
Replaces: qubes-gui-agent (<< 3.2.11-1)
Breaks: qubes-gui-agent (<< 3.2.11-1)
Description: X input driver for injecting events from qubes-gui-agent
 This driver inject input events delivered through qubes-gui-agent.
 Additionally it helps retrieving composition buffers of windows.

Package: pulseaudio-qubes
Architecture: any
Depends:
    pulseaudio,
    libpulse0,
    ${shlibs:Depends},
    ${pulse:Depends},
    ${misc:Depends}
Replaces: qubes-gui-agent (<< 4.0.0-1)
Breaks: qubes-gui-agent (<< 4.0.0-1)
Description: Audio support for Qubes VM
 Pulseaudio module to enable sound support in Qubes VM

## qubes-gui-agent 4.0.19

=== debian/changelog ===
qubes-gui-agent (4.0.19-1+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@build-debian4>  Wed, 21 Nov 2018 02:18:23 +0000

qubes-gui-agent (4.0.19-1) unstable; urgency=medium

  [ Duncan X. Simpson ]
  * Bump xorg-server version

  [ Marek Marczykowski-Górecki ]
  * Fix qubes-keymap script permissions

  [ Wojtek Porczyk ]
  * qubes-run-xorg: add configurable videoram overhead

  [ Marek Marczykowski-Górecki ]
  * Fix X11 session registration in logind
  * qubes-run-xorg: fix one more place with hardcoded 'user'
  * vmside: cleanup calling qubes-run-xorg, terminate it on service stop

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Nov 2018 03:09:41 +0100

## qubes-gui-agent 4.0.20

=== debian/changelog ===
qubes-gui-agent (4.0.20-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Marek Marczykowski-Górecki <user@build-debian4>  Fri, 04 Jan 2019 21:42:06 +0000

qubes-gui-agent (4.0.20-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * fix install path to follow archlinux packaging guidelines

  [ Frédéric Pierret (fepitre) ]
  * spec: fix missing abi version requirement

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Jan 2019 22:25:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Davíð Steinn Geirsson <david@dsg.is>
 Build-Depends:
+    libpam0g-dev,
     libpulse-dev,
     libtool,
     automake,

## qubes-gui-agent 4.0.21

=== debian/changelog ===
qubes-gui-agent (4.0.21-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 08 Mar 2019 18:32:31 +0100

qubes-gui-agent (4.0.21-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: switch to using icon-sender with python3

  [ Marek Marczykowski-Górecki ]
  * Drop /etc/X11/Xwrapper.config

  [ Frédéric Pierret (fepitre) ]
  * Fix GCC9 warning about size in strncpy

  [ Marek Marczykowski-Górecki ]
  * Indentation fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Mar 2019 18:32:31 +0100

## qubes-gui-agent 4.0.22

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

RPMS_DIR=rpm/
VERSION := $(shell cat version)

DIST_DOM0 ?= fc13

LIBDIR ?= /usr/lib64
USRLIBDIR ?= /usr/lib
SYSLIBDIR ?= /lib
DATADIR ?= /usr/share
PA_VER ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)

help:
	@echo "Qubes GUI main Makefile:" ;\
	    echo "make rpms                 <--- make all rpms and sign them";\
	    echo "make rpms-dom0            <--- create binary rpms for dom0"; \
	    echo "make rpms-vm              <--- create binary rpms for appvm"; \
	    echo; \
	    echo "make clean                <--- clean all the binary files";\
	    echo "make update-repo-current  <-- copy newly generated rpms to qubes yum repo";\
	    echo "make update-repo-current-testing <-- same, but for -current-testing repo";\
	    echo "make update-repo-unstable <-- same, but to -testing repo";\
	    echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	    @exit 0;

appvm: gui-agent/qubes-gui gui-common/qubes-gui-runuser \
	xf86-input-mfndev/src/.libs/qubes_drv.so \
	xf86-video-dummy/src/.libs/dummyqbs_drv.so pulse/module-vchan-sink.so

gui-agent/qubes-gui:
	(cd gui-agent; $(MAKE))

gui-common/qubes-gui-runuser:
	(cd gui-common; $(MAKE))

xf86-input-mfndev/src/.libs/qubes_drv.so:
	(cd xf86-input-mfndev && ./autogen.sh && ./configure && make LDFLAGS=-lu2mfn)

xf86-video-dummy/src/.libs/dummyqbs_drv.so:
	(cd xf86-video-dummy && ./autogen.sh && make)

pulse/module-vchan-sink.so:
	rm -f pulse/pulsecore
	ln -s pulsecore-$(PA_VER) pulse/pulsecore
	$(MAKE) -C pulse module-vchan-sink.so

rpms: rpms-dom0 rpms-vm
	rpm --addsign rpm/x86_64/*$(VERSION)*.rpm
	(if [ -d rpm/i686 ] ; then rpm --addsign rpm/i686/*$(VERSION)*.rpm; fi)

rpms-vm:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/gui-vm.spec

tar:
	git archive --format=tar --prefix=qubes-gui/ HEAD -o qubes-gui.tar

clean:
	(cd common && $(MAKE) clean)
	(cd gui-agent && $(MAKE) clean)
	(cd gui-common && $(MAKE) clean)
	$(MAKE) -C pulse clean
	(cd xf86-input-mfndev; if [ -e Makefile ] ; then \
		$(MAKE) distclean; fi; ./bootstrap --clean || echo )


install: install-rh-agent install-pulseaudio

install-rh-agent: appvm install-common
	install -D appvm-scripts/etc/init.d/qubes-gui-agent \
		$(DESTDIR)/etc/init.d/qubes-gui-agent
	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
	install -m 0644 -D appvm-scripts/etc/sysconfig/desktop \
		$(DESTDIR)/etc/sysconfig/desktop
	install -D appvm-scripts/etc/sysconfig/modules/qubes-u2mfn.modules \
		$(DESTDIR)/etc/sysconfig/modules/qubes-u2mfn.modules
	install -m 0755 -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh \
		$(DESTDIR)/etc/X11/xinit/xinitrc.d/qubes-keymap.sh
	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/20qt-x11-no-mitshm.sh \
		$(DESTDIR)/etc/X11/xinit/xinitrc.d/20qt-x11-no-mitshm.sh
	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/20qt-gnome-desktop-session-id.sh \
		$(DESTDIR)/etc/X11/xinit/xinitrc.d/20qt-gnome-desktop-session-id.sh

install-xfce:
	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/50-xfce-desktop.sh \
		$(DESTDIR)/etc/X11/xinit/xinitrc.d/50-xfce-desktop.sh

install-debian: appvm install-common install-pulseaudio
	install -d $(DESTDIR)/etc/X11/Xsession.d
	install -m 0755 appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh \
		$(DESTDIR)/etc/X11/Xsession.d/90qubes-keymap
	install -m 0644 appvm-scripts/etc/X11/Xsession.d/* $(DESTDIR)/etc/X11/Xsession.d/
	install -d $(DESTDIR)/etc/xdg
	install -m 0644 appvm-scripts/etc/xdg-debian/* $(DESTDIR)/etc/xdg
	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service

install-pulseaudio:
	install -D pulse/start-pulseaudio-with-vchan \
		$(DESTDIR)/usr/bin/start-pulseaudio-with-vchan
	install -m 0644 -D pulse/qubes-default.pa \
		$(DESTDIR)/etc/pulse/qubes-default.pa
	install -D pulse/module-vchan-sink.so \
		$(DESTDIR)$(LIBDIR)/pulse-$(PA_VER)/modules/module-vchan-sink.so
	install -m 0644 -D appvm-scripts/etc/tmpfiles.d/qubes-pulseaudio.conf \
		$(DESTDIR)/$(USRLIBDIR)/tmpfiles.d/qubes-pulseaudio.conf
	install -m 0644 -D appvm-scripts/etc/xdgautostart/qubes-pulseaudio.desktop \
		$(DESTDIR)/etc/xdg/autostart/qubes-pulseaudio.desktop

install-common:
	install -D gui-agent/qubes-gui $(DESTDIR)/usr/bin/qubes-gui
	install -D gui-common/qubes-gui-runuser $(DESTDIR)/usr/bin/qubes-gui-runuser
	install -D appvm-scripts/usrbin/qubes-session \
		$(DESTDIR)/usr/bin/qubes-session
	install -D appvm-scripts/usrbin/qubes-run-xorg \
		$(DESTDIR)/usr/bin/qubes-run-xorg
	install -D appvm-scripts/usrbin/qubes-change-keyboard-layout \
		$(DESTDIR)/usr/bin/qubes-change-keyboard-layout
	install -D appvm-scripts/usrbin/qubes-set-monitor-layout \
		$(DESTDIR)/usr/bin/qubes-set-monitor-layout
	install -D xf86-input-mfndev/src/.libs/qubes_drv.so \
		$(DESTDIR)$(LIBDIR)/xorg/modules/drivers/qubes_drv.so
	install -D xf86-video-dummy/src/.libs/dummyqbs_drv.so \
		$(DESTDIR)$(LIBDIR)/xorg/modules/drivers/dummyqbs_drv.so
	install -m 0644 -D appvm-scripts/etc/X11/xorg-qubes.conf.template \
		$(DESTDIR)/etc/X11/xorg-qubes.conf.template
	install -m 0644 -D appvm-scripts/etc/profile.d/qubes-gui.sh \
		$(DESTDIR)/etc/profile.d/qubes-gui.sh
	install -m 0644 -D appvm-scripts/etc/profile.d/qubes-gui.csh \
		$(DESTDIR)/etc/profile.d/qubes-gui.csh
	install -m 0644 -D appvm-scripts/etc/profile.d/qubes-session.sh \
		$(DESTDIR)/etc/profile.d/qubes-session.sh
	install -m 0644 -D appvm-scripts/etc/tmpfiles.d/qubes-session.conf \
		$(DESTDIR)/$(USRLIBDIR)/tmpfiles.d/qubes-session.conf
	install -m 0644 -D appvm-scripts/etc/securitylimits.d/90-qubes-gui.conf \
		$(DESTDIR)/etc/security/limits.d/90-qubes-gui.conf
ifneq ($(shell lsb_release -is), Ubuntu)
	install -m 0644 -D appvm-scripts/etc/xdg/Trolltech.conf \
		$(DESTDIR)/etc/xdg/Trolltech.conf
endif
	install -m 0644 -D appvm-scripts/qubes-gui-vm.gschema.override \
		$(DESTDIR)$(DATADIR)/glib-2.0/schemas/20_qubes-gui-vm.gschema.override
	install -m 0644 -D appvm-scripts/etc/qubes-rpc/qubes.SetMonitorLayout \
		$(DESTDIR)/etc/qubes-rpc/qubes.SetMonitorLayout
	install -D window-icon-updater/icon-sender \
		$(DESTDIR)/usr/lib/qubes/icon-sender
	install -m 0644 -D window-icon-updater/qubes-icon-sender.desktop \
		$(DESTDIR)/etc/xdg/autostart/qubes-icon-sender.desktop
	install -D -m 0644 appvm-scripts/usr/lib/sysctl.d/30-qubes-gui-agent.conf \
		$(DESTDIR)/usr/lib/sysctl.d/30-qubes-gui-agent.conf
	install -D -m 0644 appvm-scripts/usr/lib/modules-load.d/qubes-gui.conf \
		$(DESTDIR)/usr/lib/modules-load.d/qubes-gui.conf
	install -D -m 0644 appvm-scripts/lib/udev/rules.d/70-master-of-seat.rules \
		$(DESTDIR)/$(SYSLIBDIR)/udev/rules.d/70-master-of-seat.rules
ifeq ($(shell lsb_release -is), Debian)
	install -D -m 0644 appvm-scripts/etc/pam.d/qubes-gui-agent.debian \
		$(DESTDIR)/etc/pam.d/qubes-gui-agent
else ifeq ($(shell lsb_release -is), Ubuntu)
	install -D -m 0644 appvm-scripts/etc/pam.d/qubes-gui-agent.debian \
		$(DESTDIR)/etc/pam.d/qubes-gui-agent
else ifeq ($(shell lsb_release -is), Arch)
	install -D -m 0644 appvm-scripts/etc/pam.d/qubes-gui-agent.archlinux \
		$(DESTDIR)/etc/pam.d/qubes-gui-agent
else
	install -D -m 0644 appvm-scripts/etc/pam.d/qubes-gui-agent \
		$(DESTDIR)/etc/pam.d/qubes-gui-agent
endif
	install -d $(DESTDIR)/var/log/qubes

=== debian/changelog ===
qubes-gui-agent (4.0.22-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 20 Mar 2019 22:44:12 +0100

qubes-gui-agent (4.0.22-1) unstable; urgency=medium

  * video-dummy: fix off by one error in memory size check

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Mar 2019 22:44:12 +0100

## qubes-gui-agent 4.0.23

=== debian/changelog ===
qubes-gui-agent (4.0.23-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 05 Apr 2019 05:15:47 +0200

qubes-gui-agent (4.0.23-1) unstable; urgency=medium

  * Convert qubes-change-keyboard-layout to python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Apr 2019 05:15:47 +0200

## qubes-gui-agent 4.0.24

=== debian/changelog ===
qubes-gui-agent (4.0.24-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 01 Jun 2019 01:42:26 +0200

qubes-gui-agent (4.0.24-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Init script qubes-gui-agent is not needed anymore
  * spec: ensure we remove empty /etc/inid.d folder
  * spec: better use rmdir and check if exist for /etc/init.d

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 01 Jun 2019 01:42:26 +0200

## qubes-gui-agent 4.0.25

=== debian/changelog ===
qubes-gui-agent (4.0.25-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 06 Sep 2019 05:37:45 +0200

qubes-gui-agent (4.0.25-1) unstable; urgency=medium

  [ Laurent ]
  * Update PKGBUILD

  [ Marek Marczykowski-Górecki ]
  * debian: add Build-Depends: lsb-release

  [ Frédéric Pierret (fepitre) ]
  * Add pulseaudio-12.99.2 symlinked headers
  * spec: handle newer pulseaudio for Fedora 31+

  [ Marek Marczykowski-Górecki ]
  * Fix qubes-change-keyboard-layout after migrating to python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Sep 2019 05:37:45 +0200

## qubes-gui-agent 4.0.26

=== Makefile ===
--- 
+++ 
@@ -86,8 +86,6 @@
 install: install-rh-agent install-pulseaudio
 
 install-rh-agent: appvm install-common
-	install -D appvm-scripts/etc/init.d/qubes-gui-agent \
-		$(DESTDIR)/etc/init.d/qubes-gui-agent
 	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
 		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
 	install -m 0644 -D appvm-scripts/etc/sysconfig/desktop \

=== debian/changelog ===
qubes-gui-agent (4.0.26-1+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Sun, 22 Sep 2019 05:06:51 +0200

qubes-gui-agent (4.0.26-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: add fc30, switch to xenial

  [ Neowutran ]
  * add pulseaudio 13.0 headers

  [ Marek Marczykowski-Górecki ]
  * rpm: update pulseaudio version
  * archlinux: do not force python2 anymore
  * Disable "transparent hugepage" kernel feature

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Sep 2019 05:06:51 +0200

## qubes-gui-agent 4.0.27

=== debian/changelog ===
qubes-gui-agent (4.0.27-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 07 Oct 2019 17:12:56 +0200

qubes-gui-agent (4.0.27-1) unstable; urgency=medium

  [ Neowutran ]
  * Archlinux: Allow any pulseaudio version between 13.0 and 14.0 for
    qubes-vm-pulseaudio

  [ Marek Marczykowski-Górecki ]
  * Escape '$p' in systemd unit file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 Oct 2019 17:12:56 +0200

## qubes-gui-agent 4.0.28

=== Makefile ===
--- 
+++ 
@@ -158,7 +158,8 @@
 endif
 	install -m 0644 -D appvm-scripts/qubes-gui-vm.gschema.override \
 		$(DESTDIR)$(DATADIR)/glib-2.0/schemas/20_qubes-gui-vm.gschema.override
-	install -m 0644 -D appvm-scripts/etc/qubes-rpc/qubes.SetMonitorLayout \
+	install -d $(DESTDIR)/etc/qubes-rpc
+	ln -s ../../usr/bin/qubes-set-monitor-layout \
 		$(DESTDIR)/etc/qubes-rpc/qubes.SetMonitorLayout
 	install -D window-icon-updater/icon-sender \
 		$(DESTDIR)/usr/lib/qubes/icon-sender

=== debian/changelog ===
qubes-gui-agent (4.0.28-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 18 Apr 2020 12:59:59 +0200

qubes-gui-agent (4.0.28-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Neowutran ]
  * ARCHLINUX: xf86dgaproto doesn't exist anymore, and is no longer
    required. Removing it from the dependencies.
  * ARCHLINUX: Allow xorg-server<1.20.7

  [ Zaoqi ]
  * archlinux: qubes-vm-gui: update PKGBUILD

  [ Yukikoo ]
  * Archlinux: more permissive with xorg-server update

  [ Marek Marczykowski-Górecki ]
  * Replace non-executable qubes.SetMonitorLayout file with a symlink
  * create /etc/qubes-rpc directory before placing a symlink there

  [ xaki23 ]
  * add modargs for target domid and sink/source descr strings

  [ Frédéric Pierret (fepitre) ]
  * module-vchan-sink: convert tabs to spaces
  * module-vchan-sink: log for domid used

  [ Paweł Marczewski ]
  * pulseaudio: support reconnecting

  [ Marek Marczykowski-Górecki ]
  * pulse: fix pa_proplist_set[fs] usage

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Apr 2020 12:59:59 +0200

## qubes-gui-agent 4.0.29

=== debian/changelog ===
qubes-gui-agent (4.0.29-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 18 Apr 2020 13:49:44 +0200

qubes-gui-agent (4.0.29-1) unstable; urgency=medium

  [ Paweł Marczewski ]
  * pulseaudio 13.99.1: add internal headers
  * pulseaudio 13.99.1

  [ Marek Marczykowski-Górecki ]
  * travis: use imported config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Apr 2020 13:49:44 +0200

## qubes-gui-agent 4.0.30

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,8 @@
 USRLIBDIR ?= /usr/lib
 SYSLIBDIR ?= /lib
 DATADIR ?= /usr/share
-PA_VER ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)
+PA_VER_FULL ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)
+PA_VER_MAJOR_MINOR ?= $(shell echo $(PA_VER_FULL) | cut -d "." -f 1,2)
 
 help:
 	@echo "Qubes GUI main Makefile:" ;\
@@ -61,7 +62,7 @@
 
 pulse/module-vchan-sink.so:
 	rm -f pulse/pulsecore
-	ln -s pulsecore-$(PA_VER) pulse/pulsecore
+	ln -s pulsecore-$(PA_VER_FULL) pulse/pulsecore
 	$(MAKE) -C pulse module-vchan-sink.so
 
 rpms: rpms-dom0 rpms-vm
@@ -119,7 +120,7 @@
 	install -m 0644 -D pulse/qubes-default.pa \
 		$(DESTDIR)/etc/pulse/qubes-default.pa
 	install -D pulse/module-vchan-sink.so \
-		$(DESTDIR)$(LIBDIR)/pulse-$(PA_VER)/modules/module-vchan-sink.so
+		$(DESTDIR)$(LIBDIR)/pulse-$(PA_VER_MAJOR_MINOR)/modules/module-vchan-sink.so
 	install -m 0644 -D appvm-scripts/etc/tmpfiles.d/qubes-pulseaudio.conf \
 		$(DESTDIR)/$(USRLIBDIR)/tmpfiles.d/qubes-pulseaudio.conf
 	install -m 0644 -D appvm-scripts/etc/xdgautostart/qubes-pulseaudio.desktop \

=== debian/changelog ===
qubes-gui-agent (4.0.30-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 23 Aug 2020 00:01:38 +0200

qubes-gui-agent (4.0.30-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: set dependencies on xorg server ABI version instead of
    the server version itself

  [ Matt McCutchen ]
  * module-vchan-sink: link up the card properly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 Aug 2020 00:01:38 +0200

## qubes-gui-agent 4.0.31

=== Makefile ===
--- 
+++ 
@@ -82,6 +82,8 @@
 	$(MAKE) -C pulse clean
 	(cd xf86-input-mfndev; if [ -e Makefile ] ; then \
 		$(MAKE) distclean; fi; ./bootstrap --clean || echo )
+	rm -rf debian/changelog.*
+	rm -rf pkgs
 
 
 install: install-rh-agent install-pulseaudio

=== debian/changelog ===
qubes-gui-agent (4.0.31-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 22 Oct 2020 00:42:58 +0200

qubes-gui-agent (4.0.31-1) unstable; urgency=medium

  [ unman ]
  * pulseaudio 13.99.2: add internal headers
  * pulseaudio 13.99.2

  [ Rusty Bird ]
  * vmside: use XKillClient() if WM_DELETE_WINDOW is unsupported

  [ deathgrippin ]
  * Condense conditional

  [ Frédéric Pierret (fepitre) ]
  * Makefile: add clean of pkgs and debian changelog.*
  * pulseaudio: allow bluetooth devices like headphones

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 22 Oct 2020 00:42:58 +0200

## qubes-gui-agent 4.0.32

=== debian/changelog ===
qubes-gui-agent (4.0.32-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 05 Dec 2020 03:40:57 +0100

qubes-gui-agent (4.0.32-1) unstable; urgency=medium

  [ icequbes1 ]
  * Link pulsecore 13.99.3 headers to 13.99.2

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Demi Marie Obenour ]
  * Fix Unicode handling in Qubes clipboard

  [ Frédéric Pierret (fepitre) ]
  * Add pulseaudio-14.0 headers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Dec 2020 03:40:57 +0100

## qubes-gui-agent 4.0.33

=== debian/changelog ===
qubes-gui-agent (4.0.33-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 08 Jan 2021 06:16:47 +0100

qubes-gui-agent (4.0.33-1) unstable; urgency=medium

  [ Benjamin Moody ]
  * vmside: Rename wm_state to net_wm_state.
  * vmside: Implement the WM_STATE property.

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat

  [ Demi Marie Obenour ]
  * Remove unnecessary XInternAtom
  * Log when an unmanaged window is skipped
  * Only set focus on windows that want it
  * Tell Java we are a non-reparenting window manager
  * Avoid passing NULL as an X11 string

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Jan 2021 06:16:47 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
export DESTDIR=$(shell pwd)/debian/tmp
export LIBDIR=/usr/lib

PA_VER=$(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)

%:
	dh $@ --with systemd,xsf

override_dh_auto_build:
	make appvm

override_dh_auto_install:
	make install-debian

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	echo "pulse:Depends=pulseaudio (>= $(PA_VER)), pulseaudio (<< $(PA_VER).1)" >> debian/pulseaudio-qubes.substvars
	dh_gencontrol

## qubes-gui-agent 4.0.34

=== debian/changelog ===
qubes-gui-agent (4.0.34-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 09 Jan 2021 05:31:56 +0100

qubes-gui-agent (4.0.34-1) unstable; urgency=medium

  * debian: prevent restart on update

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Jan 2021 05:31:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	make install-debian
 
 override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade
+	dh_systemd_start --no-restart-after-upgrade --no-restart-on-upgrade
 
 override_dh_install:
 	dh_install --fail-missing
